ci: replace r.ext.logilab.fr with registry.logilab.fr

3 jobs for topic/default/replace-r-ext-with-registry in 1 minute (queued for 2 seconds)
latest
Name Stage Failure
failed
py27 Test
    error: command 'x86_64-linux-gnu-gcc' failed with exit status 1
----------------------------------------
ERROR: Command errored out with exit status 1: /builds/cubicweb/cubes/awstats/.tox/py27/bin/python -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-Ne9nki/psycopg2/setup.py'"'"'; __file__='"'"'/tmp/pip-install-Ne9nki/psycopg2/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /tmp/pip-record-gDvGwH/install-record.txt --single-version-externally-managed --compile --install-headers /builds/cubicweb/cubes/awstats/.tox/py27/include/site/python2.7/psycopg2 Check the logs for full command output.

py27 installed: DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.,atomicwrites==1.4.0,attrs==21.2.0,backports.functools-lru-cache==1.6.4,beautifulsoup4==4.9.3,configparser==4.0.2,contextlib2==0.6.0.post1,cubicweb==3.26.22,funcsigs==1.0.2,html2text==2019.8.11,importlib-metadata==2.1.1,linecache2==1.0.0,logilab-common==1.4.4,logilab-constraint==0.6.0,logilab-database==1.17.2,logilab-mtconverter==0.9.2,lxml==4.6.3,Markdown==3.1.1,more-itertools==5.0.0,packaging==20.9,passlib==1.7.4,pathlib2==2.3.6,pkg-resources==0.0.0,pluggy==0.13.1,py==1.10.0,pyparsing==2.4.7,pytest==4.6.11,python-dateutil==2.8.2,pytz==2021.1,rql==0.35.2,scandir==1.10.0,six==1.16.0,soupsieve==1.9.6,traceback2==1.4.0,unittest2==1.1.0,waitress==1.4.4,wcwidth==0.2.5,WebOb==1.8.7,WebTest==2.0.35,yams==0.45.3,Yapps2==2.2.0,zipp==1.2.0
___________________________________ summary ____________________________________
ERROR: py27: InvocationError for command /builds/cubicweb/cubes/awstats/.tox/py27/bin/python -m pip install --exists-action w /builds/cubicweb/cubes/awstats/.tox/.tmp/package/1/cubicweb-awstats-0.3.0.zip (see /builds/cubicweb/cubes/awstats/.tox/py27/log/py27-2.log) (exited with code 1)
Cleaning up file based variables
ERROR: Job failed: command terminated with exit code 1
failed
flake8 Test
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
Successfully installed backports.entry-points-selectable-1.1.0 distlib-0.3.2 filelock-3.0.12 importlib-metadata-4.8.1 packaging-21.0 platformdirs-2.3.0 pluggy-1.0.0 py-1.10.0 pyparsing-2.4.7 six-1.16.0 toml-0.10.2 tox-3.24.3 typing-extensions-3.10.0.2 virtualenv-20.7.2 zipp-3.5.0
$ tox -e flake8
flake8 create: /builds/cubicweb/cubes/awstats/.tox/flake8
ERROR: InterpreterNotFound: python2
___________________________________ summary ____________________________________
ERROR: flake8: InterpreterNotFound: python2
Cleaning up file based variables
ERROR: Job failed: command terminated with exit code 1